Update Live Asset

A live asset refers to a media content/video that is live-streamed through Gumlet. This endpoint allows user to update a live streaming asset.

Body
application/json
  • live_asset_id
    Type: string
    required

    Gumlet live video asset id.

  • start_at
    Type: string Format: date-time

    the date-time notation as defined by RFC 3339, section 5.6, for example, 2017-07-21T17:32:28Z

  • title
    Type: string

    Your live stream asset title

Responses
  • application/json
  • application/json
  • application/json
Request Example for post/video/live/assets/update
curl https://api.gumlet.com/v1/video/live/assets/update \
  --request POST \
  --header 'Content-Type: application/json' \
  --header 'Authorization: Bearer YOUR_SECRET_TOKEN' \
  --data '{
  "live_asset_id": "",
  "title": "",
  "start_at": ""
}'
{
  "status": "created",
  "stream_key": "68c6d4b8d2b638a10ef3e044",
  "live_asset_id": "68c6d4b8d2b638a10ef3e043",
  "live_video_source_id": "67e4ecea403562dbea654269",
  "input": {
    "resolution": [
      "360p",
      "480p",
      "720p"
    ],
    "title": "gumlet-stream-1-edited"
  },
  "stream_url": "rtmp://52.11.39.160:1935/app/68c6d4b8d2b638a10ef3e044",
  "output": {
    "playback_url": "https://stream.gumlet.io/67e4ecea403562dbea654269/68c6d4b8d2b638a10ef3e043/main.m3u8",
    "recording_playback_url": "https://video.gumlet.io/6867815b6410daa283f85532/68c6d4b8d2b638a10ef3e045/main.m3u8",
    "recording_dash_playback_url": "https://video.gumlet.io/6867815b6410daa283f85532/68c6d4b8d2b638a10ef3e045/main.mpd"
  },
  "vod_asset_id": "68c6d4b8d2b638a10ef3e045",
  "created_at": 1757861049778,
  "updated_at": 1757861101257
}